Skip to main content
POST
/
api
/
Payments
/
sale
/
{paymentMethodId}
A valid request URL is required to generate request examples
{
  "customerId": 1,
  "invoiceId": 563,
  "merchantInvoiceRefId": "1234-5678-9101",
  "merchantPaymentMethodRefId": "#1234567890",
  "networkTransactionId": "600200756888390",
  "invoiceStatus": "Paid",
  "invoiceAttemptStatus": "Success",
  "message": "Approved",
  "amount": {
    "currency": "USD",
    "value": 30.99
  },
  "paymentMethodId": 8453,
  "paymentMethodTypeId": 2,
  "paymentProcessor": "Nuvei",
  "processorMerchantId": "4398673209738",
  "rawResponse": "Processor raw response (without parsing on Revolv3 side)",
  "paymentMethodCreditCardDetails": null,
  "responseMessage": "Approved",
  "responseCode": "0",
  "processorResponseDateTime": null,
  "authCode": null,
  "processorTransactionId": null,
  "revolv3ResponseCode": null,
  "revolv3ResponseMessage": null
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

paymentMethodId
integer<int64>
required

The unique identifier for the payment method information

Body

invoice
object
required

Invoice information for this payment.

customerId
integer<int64>

The unique identifier of the customer.

Required range: 1 <= x <= 1000000000
includeRawProcessorResponse
boolean
default:false

Determine whether to return raw processor data in the response.

dynamicDescriptor
object

Allows the merchant to define a dynamic descriptor, which appears in the payment statement. For dynamic descriptor, special configuration is required.

Processors supporting this feature: Nuvei, WorldPay, BridgePay, EPX, Paymentech, PaymentLync.

networkProcessing
object

Network processing information.

Processors supporting this feature: Adyen, Nuvei, WorldPay, TSYS, BridgePay, Paymentech, PaymentLync.

Response

OK

customerId
integer<int64>

The unique identifier of the customer.

Required range: 1 <= x <= 1000000000
invoiceId
integer<int64>

The unique identifier of the invoice.

Required range: 1 <= x <= 1000000000
merchantInvoiceRefId
string

Merchant's unique identifier for the invoice.

Maximum string length: 100
merchantPaymentMethodRefId
string

Merchant's unique identifier for the payment method.

Maximum string length: 100
networkTransactionId
string

The identifier returned for Visa, Mastercard, and Discover transactions. Visa and Discover use this value to link subsequent payments in a recurring/installment stream back to the initial transaction. You must include this value in the request message (originalNetworkTransactionId element) for subsequent recurring payments.

Maximum string length: 100
invoiceStatus
string

The current status of the invoice.

Possible values: Paid, Pending, Noncollectable, Failed, OneTimePaymentPending, RetryPending.

Maximum string length: 100
invoiceAttemptStatus
string

The status of the invoice attempt.

Possible values: Success, Fail, Pending, RetrySuccess, RetryFail, RetryPending.

Maximum string length: 100
message
string

The message returned directly from payment processor or a special message provided by system.

Maximum string length: 500
amount
object

The amount information for the payment.

paymentMethodId
integer<int64>

The unique identifier for the payment method information.

Required range: 1 <= x <= 1000000000
paymentMethodTypeId
integer<int64>

Specifies the type of payment method used for the transaction. Examples include CreditCard (1), Ach (2), GooglePay (3) and ApplePay (4).

Required range: 1 <= x <= 1000000000
paymentProcessor
string

The name of the processor by which the transaction was processed.

Maximum string length: 100
processorMerchantId
string

The merchant account ID (MID) of the processor by which the transaction was processed.

Maximum string length: 100
rawResponse
string

Conditional. The value is returned if includeRawProcessorResponse = true. This field contains the raw data received from the processor after attempting to bill this payment. It does not contain any sensitive information. The field value is a string with the serialized response from the processor in JSON format.

Maximum string length: 10000
paymentMethodCreditCardDetails
object

The details of credit card payment method.

responseMessage
string

The processor response message.

Maximum string length: 500
responseCode
string

The processor response code.

Maximum string length: 10
processorResponseDateTime
string<date-time>

UTC timestamp of the payment processor response (format: YYYY-MM-DDThh:mm:ss).

Maximum string length: 40
authCode
string

Transaction authorization code.

Maximum string length: 20
processorTransactionId
string

Payment Processor Transaction Id.

Maximum string length: 100
revolv3ResponseCode
string

Standardized internal response code indicating the outcome of the request.

Maximum string length: 10
revolv3ResponseMessage
string

Message providing additional details about the response code.

Maximum string length: 500